PDA

View Full Version : LScript Shader Plugin



Karsten Lueth
04-22-2003, 02:20 AM
I recently tried to create an LScript shader plugin, but LW 7.5 crashes during rendering when my plugin is used.
Even the provided LScript shader examples do not work on my machine (Mac DP 867MHz, OSX 10.2).
Does anyone knows why?

Lynx3d
05-03-2003, 01:01 PM
Good question...
which version of LScript do you have installed?

Don't know which one came with 7.5, but since there is a seperate v2.51 patch i guess it's 2.5...

can get them here:
http://www.lightwave-outpost.com/Bob/index.html
(LScript->2.5 patch release notes)

2.6 seems only available with 7.5b wich is not available for Mac...
Apart from that, are you trying to render with more than one thread? Could be the problem too...

Karsten Lueth
05-06-2003, 01:04 AM
Thanks for the tip, Lynx!

My version didn't work at all, neither single-threaded nor multi-threaded. I downloaded 2.5.1 and it works! (But only single-threaded...).